#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 17. Networking Libraries

- Prev

  libnl-3.5.0

- Next

  libnsl-2.0.0

- Up
- Home

# libnma-1.8.34

## Introduction to libnma

The libnma package contains an implementation of the NetworkManager GUI functions.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libnma/1.8/libnma-1.8.34.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libnma/1.8/libnma-1.8.34.tar.xz

- Download MD5 sum: 145967daaaf36ee83ee9fdb9b228caf7

- Download size: 1.3 MB

- Estimated disk space required: 18 MB

- Estimated build time: less than 0.1 SBU (with tests)

### libnma Dependencies

#### Required

Gcr-3.40.0, GTK+-3.24.31, ISO Codes-4.9.0, and NetworkManager-1.34.0

#### Recommended

Vala-0.54.7

#### Optional

mobile-broadband-provider-info

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libnma

## Installation of libnma

Install libnma by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr                             \
          --buildtype=release                       \
          -Dgtk_doc=false                           \
          -Dmobile_broadband_provider_info=false .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=false`: This parameter disables generating API documentation using gtk-doc. If you have GTK-Doc-1.33.2 installed and wish to generate the API documentation, omit this switch.

`-Dmobile_broadband_provider_info=false`: This switch disables WWAN support because mobile-broadband-provider-info is not in BLFS. Omit this switch if you have it installed and wish to enable WWAN support.

## Contents

Installed Programs: None
Installed Libraries: libnma.so
Installed Directories: /usr/include/libnma

### Short Descriptions

`libnma.so` | contains the NetworkManager GUI library

Last updated on

- Prev

  libnl-3.5.0

- Next

  libnsl-2.0.0

- Up
- Home